%define anolis_release 2

%global python3_pkgversion 3

%global modname arrow

Name:               python-%{modname}
Version:            1.2.3
Release:            %{anolis_release}%{?dist}
Summary:            Better dates and times for Python

License:            ASL 2.0
URL:                https://pypi.io/project/arrow
Source0:            %pypi_source arrow

BuildArch:          noarch

%description
Arrow is a Python library that offers a sensible, human-friendly approach to
creating, manipulating, formatting and converting dates, times, and timestamps.

It implements and updates the datetime type, plugging gaps in functionality,
and provides an intelligent module API that supports many common creation
scenarios.

Simply put, it helps you work with dates and times with fewer imports and a lot
less code.

%package -n         python%{python3_pkgversion}-%{modname}
Summary:            Better dates and times for Python
%{?python_provide:%python_provide python%{python3_pkgversion}-%{modname}}

BuildRequires:      python%{python3_pkgversion}-devel
BuildRequires:      python%{python3_pkgversion}-pytz
BuildRequires:      python%{python3_pkgversion}-pytest
BuildRequires:      python%{python3_pkgversion}-pytest-mock
BuildRequires:      python%{python3_pkgversion}-pytest-cov
BuildRequires:      python%{python3_pkgversion}-simplejson

Requires:           python%{python3_pkgversion}-dateutil
Requires:           python%{python3_pkgversion}-six

%description -n python%{python3_pkgversion}-%{modname}
Arrow is a Python library that offers a sensible, human-friendly approach to
creating, manipulating, formatting and converting dates, times, and timestamps.

It implements and updates the datetime type, plugging gaps in functionality,
and provides an intelligent module API that supports many common creation
scenarios.

Simply put, it helps you work with dates and times with fewer imports and a lot
less code.

%package -n     python%{python3_pkgversion}-%{modname}-doc
Summary:        doc files for python%{python3_pkgversion}-%{modname}
Requires:       python%{python3_pkgversion}-%{modname} = %{version}-%{release}

%description -n python%{python3_pkgversion}-%{modname}-doc
doc files for python%{python3_pkgversion}-%{modname}

%prep
%setup -q -n %{modname}-%{version}

# Don't enforce a certain coverage when we build the RPM, that's an upstream's
# problem
sed -i -e "s|--cov-fail-under=100 ||" tox.ini

# Remove bundled egg-info in case it exists
rm -rf %{modname}.egg-info

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install

%check
pytest-%{python3_version} tests

%files -n python%{python3_pkgversion}-%{modname}
%license LICENSE
%{python3_sitelib}/%{modname}/
%{python3_sitelib}/%{modname}-%{version}.dist-info/

%files -n python%{python3_pkgversion}-%{modname}-doc
%doc README.rst CHANGELOG.rst

%changelog
* Fri Mar 22 2024 Zhao Hang <wb-zh951434@alibaba-inc.com> - 1.2.3-2
- Rebuild with python3.11

* Fri Mar 17 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.2.3-1
- Init upstream from version 1.2.3
